# Create data

Store binary data generated by the provisioner, such as plans and state files.

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/data
Version: 1.0
Security: x-api-key

## Query parameters:

  - `pipeline_id` (string, required)
    The unique identifier for the associated pipeline
    Example: "Amet iure cupiditate iure."

  - `stage_id` (string, required)
    The unique identifier for a stage
    Example: "Dolor ut nihil autem consequatur nihil."

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Dignissimos quia inventore."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline execution stage
    Example: "Molestiae qui ipsam assumenda sunt tempore tempora."

  - `provisioner_type` (string, required)
    Type of provisioner that created the data
    Enum: "tf", "awscdk"

  - `data_type` (string, required)
    Type of data stored
    Enum: "plan_human", "state_raw", "state_human", "cost_breakdown", "cost_diff", "modules", "providers", "cdk_template", "cdk_manifest", "cdk_tree", "cdk_assets", "cdk_diff", "cdk_drift"

  - `policy_action` (string)
    Policy action used during OPA evaluation
    Example: "afterTerraformApply"

  - `stack_path` (string)
    Optional path to the stack module
    Example: "Ducimus sit eos nihil id voluptas."

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "j2"

  - `project` (string, required)
    Project is the project identifier.
    Example: "r5y"

  - `workspace` (string, required)
    Workspace identifier
    Example: "workspace123"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "r"

  - `Content-Length` (integer)
    Size in bytes of the data.
    Example: 4505601489580882400

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique identifier for the data
    Example: "dc538c61-de48-4220-958c-5f3c4f983daa"

  - `policy_evaluation` (array)
    Individual policy evaluation details
    Example: [{"message":"Nulla rerum ullam dolorem et optio.","policy_id":"Unde quia sunt.","policy_name":"Expedita pariatur alias aut.","policy_set_id":"In aliquid vitae perferendis excepturi dolorum deserunt.","policy_set_name":"Autem eaque amet ipsa vitae assumenda.","policy_status":"Maxime nemo nostrum vel et consequatur."},{"message":"Nulla rerum ullam dolorem et optio.","policy_id":"Unde quia sunt.","policy_name":"Expedita pariatur alias aut.","policy_set_id":"In aliquid vitae perferendis excepturi dolorum deserunt.","policy_set_name":"Autem eaque amet ipsa vitae assumenda.","policy_status":"Maxime nemo nostrum vel et consequatur."},{"message":"Nulla rerum ullam dolorem et optio.","policy_id":"Unde quia sunt.","policy_name":"Expedita pariatur alias aut.","policy_set_id":"In aliquid vitae perferendis excepturi dolorum deserunt.","policy_set_name":"Autem eaque amet ipsa vitae assumenda.","policy_status":"Maxime nemo nostrum vel et consequatur."}]

  - `policy_evaluation.message` (string, required)
    Example: "Expedita eum voluptas dolores."

  - `policy_evaluation.policy_id` (string, required)
    Example: "Voluptatem vel debitis et eligendi vitae."

  - `policy_evaluation.policy_name` (string, required)
    Example: "Molestiae omnis culpa alias consequuntur debitis non."

  - `policy_evaluation.policy_set_id` (string, required)
    Example: "Perspiciatis et."

  - `policy_evaluation.policy_set_name` (string, required)
    Example: "In atque et voluptas."

  - `policy_evaluation.policy_status` (string, required)
    Example: "Aut id perferendis."

  - `policy_evaluation_message` (string)
    Pre-rendered message included when policy evaluation did not pass
    Example: "- instance type 'xlarge' is not permitted"

  - `policy_evaluation_status` (string)
    The overall status of policy evaluation (if it occurred) indicating whether it passed
    Enum: "error", "warning", "pass"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


